<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>POECAHONTAS - Acceuil</title>
	</head>
	<body>
		<header th:fragment="header" style="background-color: #004360; display: grid;grid-template-columns: 10% 20% 50%; ">
			<div id="heure" style="display:flex; justify-content: center; color: #FFFF; text-align: center; font-size: 1.5rem;line-height: normal;font-family : 'Krona One', sans-serif;">heure</div>
			<div id="date" style="display:flex; justify-content: center; color: #FFFF; text-align: center; font-size: 1.5rem;line-height: normal;font-family : 'Krona One', sans-serif;">date</div>
			<div style="display:flex; justify-content: center; color: #FFFF; text-align: center; font-size: 1.5rem;line-height: normal;font-family: 'Just Me Again Down Here';">Bonjour</div>
		</header>
		<main style="width: 25%; margin: auto;">

			<h1 style="margin-bottom: 2em; margin-left: 19%;font-family: sans-serif;">Page de connexion</h1>
				
			<p th:text="${message}"></p>
			<form action="./login" method="post" style="display: flex; flex-direction: column; align-items: center;">		
				<label style="margin-bottom: 2em; width: 60%; font-family: sans-serif;">
					Login : <input name="username" style="margin-left: 4em;">
				</label>
				<label style="margin-bottom: 2em; font-family: sans-serif;">
					Mot de passe : <input type="password" name="password">
				</label>

				<button type="submit" style="background: #FFC32A; font-size: 1.5rem; text-align: center; font-weight: bold; text-decoration: none;	color: black; border-radius: 0.5em; border: 2px outset buttonborder; margin-top : 1em; padding-top: 0.2em; padding-bottom: 0.2em;">
					Se Connecter</button>
			</form>
		</main>
	
	</body>
	<script>

function afficherHeure() {
    let date = new Date();
    let heure = date.getHours();
    let minutes = date.getMinutes();
    let secondes = date.getSeconds();

    // Formatage de l'heure pour avoir un affichage plus agréable
    let heureFormattee = heure < 10 ? "0" + heure : heure;
    let minutesFormattees = minutes < 10 ? "0" + minutes : minutes;
    let secondesFormattees = secondes < 10 ? "0" + secondes : secondes;

    let heureActuelle = heureFormattee + ":" + minutesFormattees;  // + ":" + secondesFormattees

    document.getElementById("heure").innerHTML = heureActuelle;
}

// Mettre à jour l'heure chaque seconde
setInterval(afficherHeure, 1000);

// Appel initial pour afficher l'heure immédiatement au chargement de la page
afficherHeure();

function afficherDate() {
    let date = new Date();

    // Obtenir le jour, le mois et l'année
    let jour = date.getDate();
    let mois = date.getMonth() + 1; // Les mois commencent à partir de zéro, donc on ajoute 1
    let anneeFormattee = date.getFullYear();

    // Formatage de la date pour l'affichage
    let jourFormattee = jour < 10 ? "0" + jour : jour;
    switch(mois){
        case 1 :
            mois = "Janvier";
            break;
        case 2 :
            mois = "Février";
            break;
        case 3 :
            mois = "Mars";
            break;
        case 4 :
            mois = "Avril";
            break;
        case 5:
            mois = "Mai";
            break;
        case 6:
            mois = "Juin";
            break;
        case 7:
            mois = "Juillet";
            break;
        case 8:
            mois = "Aout";
            break;
        case 9:
            mois = "Septembre";
            break;
        case 10:
            mois = "Octobre";
            break;
        case 11:
            mois = "Novembre";
            break;
        case 12:
            mois = "Décembre";
            break;
        default:
            mois = "erreur";
    }

    let dateActuelle = jourFormattee + " " + mois + " " + anneeFormattee;

    document.getElementById("date").innerHTML = dateActuelle;
}
setInterval(afficherDate, 1000);
// Appel initial pour afficher la date immédiatement au chargement de la page
afficherDate();

	</script>
</html>